SimpleStringTokenizer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jagatoo.util.strings
Class SimpleStringTokenizer

    java.lang.Object
      org.jagatoo.util.strings.SimpleStringTokenizer

    public class SimpleStringTokenizer

extends java.lang.Object

The `SimpleStringTokenizer` can be used, where speed matters. It is reusable for new Strings and only searches for whitespaces.

Author:
  Marvin Froehlich (aka Qudus)

Constructor Summary
`SimpleStringTokenizer(java.lang.String string)`

Method Summary
`java.lang.String` | `getLastToken()`
`java.lang.String` | `getRest()`
`java.lang.String` | `getUnquotedRest()`
`boolean` | `hasMoreTokens()`
`static boolean` | `isWhitespace(char ch)`
`java.lang.String` | `nextToken()`
`java.lang.String` | `nextToken(boolean discard)`
`void` | `reset()`
`void` | `setString(java.lang.String string)`
`void` | `setString(java.lang.String string, int skipChars)`
`SimpleStringTokenizer` | `skipToken()`
`boolean` | `useQuotes()`
`void` | `useQuotes(boolean keep)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleStringTokenizer

    public SimpleStringTokenizer(java.lang.String string)

Method Detail

### useQuotes

    public void useQuotes(boolean keep)

### useQuotes

    public final boolean useQuotes()

### reset

    public void reset()

### setString

    public void setString(java.lang.String string,
                          int skipChars)

### setString

    public void setString(java.lang.String string)

### isWhitespace

    public static final boolean isWhitespace(char ch)

### hasMoreTokens

    public final boolean hasMoreTokens()

### nextToken

    public final java.lang.String nextToken(boolean discard)

### nextToken

    public final java.lang.String nextToken()

### skipToken

    public final SimpleStringTokenizer skipToken()

### getLastToken

    public final java.lang.String getLastToken()

### getRest

    public final java.lang.String getRest()

### getUnquotedRest

    public final java.lang.String getUnquotedRest()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD